open Cmdliner

let subs = [
    Authors.cmd; (* Done *)
    Convert.cmd; (* Done *)
    Edit.cmd; (* Done *)
    File.cmd; (* Done *)
    Index.cmd; (* Done *)
    Last.cmd; (* Done *)
    Listing.cmd; (* Done *)
    New.cmd; (* Done *)
    Peers.cmd; (* Done *)
    Pull.cmd; (* Done *)
    Recent.cmd; (* Done *)
    Topics.cmd; (* Done *)
    Unfile.cmd; (* Done *)
  ]

let default_cmd = Term.(ret (const (`Help (`Pager, None))))

let txt =
  let doc = "Discover, collect and exchange texts" in
  let man = [
      `S "CONTACT";
      `P "<mailto:logarion-dev@chaotic.ninja>"; ]
  in
  Cmd.group (Cmd.info "txt" ~version:"%%VERSION%%" ~doc ~man) ~default:default_cmd subs

let main () = exit (Cmd.eval txt)
let () = main ()
